import { select, arc } from 'd3';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
  .attr('r', height / 2)
	.attr('fill', 'orange')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyeColor = 'black';

const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -eyebrowWidth;

const eyesG = g
	.append('g')
    .attr('transform', `translate(0, ${eyeYOffset}) rotate(45)`)
    .attr('fill', eyeColor);

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);

eyebrowsG
	.transition().duration(100)
		.attr('transform', `translate(0, ${eyeYOffset - 30})`)
	.transition().duration(100)
		.attr('transform', `translate(0, ${eyeYOffset})`)
	.transition().duration(100)
		.attr('transform', `translate(0, ${eyeYOffset - 30})`)
	.transition().duration(100) 
		.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEyebrow = eyebrowsG
	.append('rect')
    .attr('x', -eyeSpacing + eyebrowYOffset / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
	.append('rect')
    .attr('x', eyeSpacing + eyebrowYOffset / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: 1.0*Math.PI,
      endAngle: 1.3*Math.PI
    }));































